ReflectionMethod::getPrototype
ReflectionMethod::invokeArgs
ReflectionMethod
PHP Manual

# ReflectionMethod::invoke

(PHP 5)

ReflectionMethod::invoke — Invoke

### Description

public mixed ReflectionMethod::invoke ( object `$object` [, mixed `$parameter` [, mixed `$...` ]] )

Invokes a reflected method.

### Parameters

`object`

  The object to invoke the method on. For static methods, pass null to this parameter.

`parameter`

  Zero or more parameters to be passed to the method. It accepts a variable number of parameters which are passed to the method.

### Return Values

Returns the method result.

### Errors/Exceptions

A ReflectionException if the `object` parameter does not contain an instance of the class that this method was declared in.

A ReflectionException if the method invocation failed.

### Examples

Example #1 ReflectionMethod::invoke() example

`<?php
class HelloWorld {
public function sayHelloTo($name) {
return 'Hello ' . $name;
}
}
$reflectionMethod = new ReflectionMethod('HelloWorld', 'sayHelloTo');
echo $reflectionMethod->invoke(new HelloWorld(), 'Mike');
?>`

The above example will output:

    Hello Mike

### Notes

> Note:

> If the function has arguments that need to be references, then they must be references in the passed argument list.

### See Also

- ReflectionMethod::invokeArgs() - Invoke args
- __invoke()
- call_user_func() - Call the callback given by the first parameter

ReflectionMethod::getPrototype
ReflectionMethod::invokeArgs
ReflectionMethod
PHP Manual